<?php

/*
  PHP version 5
  Copyright (c) 2002-2019ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/
use application\ESPCMS_AdminAuthority;
use application\ESPCMS_Core;
use admin_application\AdminPublicDB;
use modul_application\ESPCMS_MemberDB;
use admin_application\link\MemberLink;
use admin_application\link\SettingLink;
class OrderStatistics {
	public function __construct() {
		global $module_array;
		$exclude_method = array('saveOrder', 'printOrder', 'setOrder', 'argumentOrder', 'argumentSaveOrder');
		ESPCMS_AdminAuthority::authorityAdminVerify($exclude_method);
		$order_app_config = ESPCMS_Core::get_app_config('order', false);
		if (!$order_app_config['isetup']) {
			espcms_message_err('public_pack-espcms_module_file_err', array($module_array['module']));
		}
	}
	public static function indexOrderStatistics() {
		global $espcms_admin_templates, $espcms_link_db;
		$db_table = ESPCMS_DB_PREFIX . "member";
		$out_type = $_REQUEST['out_type'];
		$templates = 'member/member_statistics';
		$espcms_admin_templates->output($templates);
	}
}
